Bug 1613295 - Report based on Chargeback for project fails with ERROR -- : [TypeError]: no implicit conversion from nil to integer Method:[block in method_missing]
Summary: Report based on Chargeback for project fails with ERROR -- : [TypeError]: no ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.4
Assignee: Libor Pichler
QA Contact: juwatts
URL:
Whiteboard:
Depends On: 1602818
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-07 11:29 UTC by Satoe Imaishi
Modified: 2018-09-12 07:47 UTC (History)
11 users (show)

Fixed In Version: 5.9.4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1602818
Environment:
Last Closed: 2018-09-04 18:01:56 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:24 UTC

Comment 2 CFME Bot 2018-08-17 13:46:20 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/ced41ae549f2075210adeccf4be44a3f27ba0c4b
commit ced41ae549f2075210adeccf4be44a3f27ba0c4b
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Aug  1 09:39:51 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Aug  1 09:39:51 2018 -0400

    Merge pull request #17747 from lpichler/fix_translation_from_v_derived_cpu_total_cores_used_to_cpu_usage_rate_average_chargeback_for_projects

    Move VIRTUAL_COL_USES translation to col_index method in ChargeableField
    (cherry picked from commit ee216b089a981c8a09916f130979989df95bca40)

    https://bugzilla.redhat.com/show_bug.cgi?id=1613295

 app/models/chargeable_field.rb | 1 +
 app/models/chargeback/consumption_with_rollups.rb | 1 -
 spec/factories/chargeable_field.rb | 2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)

Comment 9 juwatts 2018-08-27 14:54:05 UTC
Verified custom report based on "Chargeback for Project" was created successfully and no TypeError was found in the logs. 

Build: 5.9.4.5.20180821202240_ced41ae

Comment 11 errata-xmlrpc 2018-09-04 18:01:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.